Option Compare Binary
Option Explicit On 
Option Strict On

Imports System
Imports System.Windows.Forms

''' <summary>
'''   Stellt Informationen zum Ereignis <c>ControlFound</c> der Klasse <c>ControlEnumerator</c>
'''   bereit.
''' </summary>
Public Class ControlFoundEventArgs
    Inherits EventArgs

    Private m_Control As Control

    ''' <summary>
    '''   Erstellt eine neue Instanz der Klasse und weist den Eigenschaften die bergebenen
    '''   Werte zu.
    ''' </summary>
    ''' <param name="Control">Steuerelement, fr das das Ereignis ausgelst wird.</param>
    Public Sub New(ByVal Control As Control)
        m_Control = Control
    End Sub

    ''' <summary>
    '''   Gibt das Steuerelement, fr das das Ereignis ausgelst wird, an oder gibt es zurck.
    ''' </summary>
    ''' <value>Steuerelement, fr das das Ereignis ausgelst wird.</value>
    Public Property Control() As Control
        Get
            Return m_Control
        End Get
        Set(ByVal Value As Control)
            m_Control = Value
        End Set
    End Property
End Class